Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 15.02.2022]

The role-playing games (I-X) that started it all and the various spin-offs (including Dark Messiah).
Mallfiss
Leprechaun
Leprechaun
Posts: 3
Joined: 08 Dec 2021

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby Mallfiss » Dec 8 2021, 15:43

justl wrote: Dec 8 2021, 10:03
Mallfiss wrote: Dec 8 2021, 5:03 Hello, i need a little help here, apparently my game crashes whenever i anyhow hover over cloak on one of my characters, making it impossible to change it or getting rid of it, i tried using CEditor, reinstalling the game completely and flexing all that setup thingy, whatever i do it doesnt work, same thing happened not long ago with another item on SAME character (idunno if it actually matters or not but) but i got it fixed by replacing the item currently equipped for a new one and it stopped crashing since then, now its just the cloak, please help :)
what is CEditor? never heard of it - old trainers/editors dont work with the merge!

is it a hard crash to windows, or a crash with a debug window opening?
for the 1st one the most probably cause is a faulty installation
for the 2nd one provide the content of the debug window here

it crashes instantly without any error messages at all, attached a link to my error log here

https://drive.google.com/file/d/1aGZemW ... sp=sharing

also after playing for a while on another save, (this time i played with community branch mods, tbh im not sure what they even do but i just downloaded them thinking it'll help with the crashes(it didnt)) and got a little different problem, this time i cant buy anything from magic guilds, like every spell book just non-clickable, elp

cthscr
Marksman
Marksman
Posts: 442
Joined: 12 Jan 2020

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby cthscr » Dec 10 2021, 19:49

Supposing it's your first party member, show output of debug console (called by Ctrl+F1) command:

Code: Select all

dump(Party[0].Items[Party[0].ItemCloak])
You can take off that cloak with

Code: Select all

Party[0].ItemCloak=0
. It will be in Items, but neither in Equipped, nor in Inventory.

XDSvennyXD
Leprechaun
Leprechaun
Posts: 3
Joined: 08 Dec 2021

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby XDSvennyXD » Dec 13 2021, 20:58

Hello all,

I have noticed that in the latest mod version the language packs no longer work. I first found the error in the german version and then compared it with the french version. In both, the following error appears immediately after the start:

Code: Select all

——————————————————————————————————————————————————————————————————————————————————
...\Might and Magic VIII\Scripts\General\LocalizeTables.lua:24: array index (2200) out of bounds [0, 2199]

stack traceback:
	[C]: in function 'error'
	Scripts/Core/RSMem.lua:1342: in function '__index'
	...\Might and Magic VIII\Scripts\General\LocalizeTables.lua:24: in function '_RelocalizeTables'
	...\Might and Magic VIII\Scripts\General\LocalizeTables.lua:108: in function 'v'
	Scripts/Core/EventsList.lua:68: in function <Scripts/Core/EventsList.lua:63>

arguments of '__index':
	t = (table: 0x050ba3b0)
	a = 2200
	v = nil

local variables of '__index':
	aorig = 2200
	a1 = 2200
	n = 2200

upvalues of '__index':
	ptr = nil
	u4 = (table: 0x04a6cb60)
	GetPtr = (function: 0x04aa61a0)
	obj = (table: 0x04da86c0)
	o = 95937092
	assertnum = (function: 0x04ab32f0)
	error = (function: 0x04a6eff8)
	type = (function: builtin#3)
	SetLen = (function: 0x050298a8)
	low = 0
	GetLen = (function: 0x050294f0)
	lenP = 6224840
	lenA = (table: 0x04a65680)
	count = 2200
	size = 48
	_index = nil
	_newindex = nil
	tonumber = (function: builtin#17)
	beyondLen = nil
	f = (function: 0x04ffd1d0)
	format = (function: builtin#91)
	sOutOfBounds = "array index (%s) out of bounds [%s, %s]"
	tostring = (function: builtin#18)
	tostring2 = (function: 0x04ab3358)
----------------------------------------------------------------------------------
>
 
Is there already a solution available to this problem?

Many greetings
XDSvennyXD

cthscr
Marksman
Marksman
Posts: 442
Joined: 12 Jan 2020

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby cthscr » Dec 15 2021, 10:24

XDSvennyXD wrote: Dec 13 2021, 20:58 ...\Might and Magic VIII\Scripts\General\LocalizeTables.lua:24: array index (2200) out of bounds [0, 2199]

Is there already a solution available to this problem?
You have wrong Items.txt somewhere. Current Items.txt has indexes [0, 2200].

Mallfiss
Leprechaun
Leprechaun
Posts: 3
Joined: 08 Dec 2021

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby Mallfiss » Dec 15 2021, 18:39

By the way, is there a way to scale enemies a little less harder? Taking too much time on killing just some followers of baa or other low tier type just feels weird, even in the beginning it was easier

XDSvennyXD
Leprechaun
Leprechaun
Posts: 3
Joined: 08 Dec 2021

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby XDSvennyXD » Dec 15 2021, 22:16

cthscr wrote: Dec 15 2021, 10:24
XDSvennyXD wrote: Dec 13 2021, 20:58 ...\Might and Magic VIII\Scripts\General\LocalizeTables.lua:24: array index (2200) out of bounds [0, 2199]

Is there already a solution available to this problem?
You have wrong Items.txt somewhere. Current Items.txt has indexes [0, 2200].
Thank you for your fast response.

OK,
I have now temporarly removed the items.txt for the time being. What does the items.txt has indexes [0, 2200]? I get the same error with all other language packages too. Has anything changed in the handling of these?

Many greetings
XDSvennyXD

XDSvennyXD
Leprechaun
Leprechaun
Posts: 3
Joined: 08 Dec 2021

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby XDSvennyXD » Dec 15 2021, 22:20

Mallfiss wrote: Dec 15 2021, 18:39 By the way, is there a way to scale enemies a little less harder? Taking too much time on killing just some followers of baa or other low tier type just feels weird, even in the beginning it was easier
Just turn off the Bolster option under Extra Settings.

Many greetings
XDSvennyXD

cthscr
Marksman
Marksman
Posts: 442
Joined: 12 Jan 2020

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby cthscr » Dec 16 2021, 22:12

XDSvennyXD wrote: Dec 15 2021, 22:16
cthscr wrote: Dec 15 2021, 10:24 You have wrong Items.txt somewhere. Current Items.txt has indexes [0, 2200].
I have now temporarly removed the items.txt for the time being. What does the items.txt has indexes [0, 2200]? I get the same error with all other language packages too. Has anything changed in the handling of these?
Items.txt could be located in one of Data/*.T.lod or Data/*.EnglishT.lod archives OR in DataFiles directory (latter overwrites former). Current one is in mmmerge.T.lod and contains items from index 0 to index 2200. You seem to use one from some other source.

Rodril
Marksman
Marksman
Posts: 404
Joined: 18 Nov 2016

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby Rodril » Dec 22 2021, 0:05

Hello.
New MMPatch can be installed over existing files of MMMerge. To fix incompatibility with additional quick spells, put this file into your "Scripts\General" folder, replacing existing one (without fix, "Attack spell" button in spellbook won't be visible).

EDIT: also put this file into "Scripts\Structs" folder, otherwise game will crash upon hitting any monster.

Install only MMPatch for MM8, as if you update original version of the game.

Note: fixes for specific maps of MM6 and MM7 won't be included, i hope to adapt them to MMMerge at incoming weekend (i will update game files and localization links).

cthscr
Marksman
Marksman
Posts: 442
Joined: 12 Jan 2020

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby cthscr » Dec 22 2021, 9:46

Rodril wrote: Dec 22 2021, 0:05 Hello.
New MMPatch can be installed over existing files of MMMerge. To fix incompatibility with additional quick spells, put this file into your "Scripts\General" folder, replacing existing one (without fix, "Attack spell" button in spellbook won't be visible).
When I tested mm8patch.dll [with special hook in it towards savegames count] about year ago it caused crashes every time monster casts a spell. Does this thing work properly for you now?

Edit: I've quickly looked through MMCommon hooks (https://gitlab.com/cthscr/mmmerge/-/wik ... uide/Hooks). Seems there should be incompatible intersections with Base Merge.

Rodril
Marksman
Marksman
Posts: 404
Joined: 18 Nov 2016

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 05.07.2021]

Unread postby Rodril » Dec 23 2021, 16:37

I'm still doing tests. Have not meet crashes yet.

Rodril
Marksman
Marksman
Posts: 404
Joined: 18 Nov 2016

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby Rodril » Dec 26 2021, 23:52

First post have been updated.
New files include MMPatch 2.5.2, aside of compatibility, bug with disappearing inventory icons and few minor bugs have been fixed

Ossie
Peasant
Peasant
Posts: 82
Joined: 24 Jan 2012
Location: Ossie

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby Ossie » Dec 28 2021, 5:32

OK so I've completed all three vanilla objectives (MM6 Hive, MM7 Lincoln and MM8 elemental lords), and I've got access to the Breach via the former Crystal in Ravenshore. I've recovered 3 of 4 former companions but I'm stuck. Looks like there should be an entrance in the SW castle, and the central structure, one of which should be the final companion from a 5-party game, and the other should be the next dungeon. But buggered if I can find the entrance for either. Any help?

Rodril
Marksman
Marksman
Posts: 404
Joined: 18 Nov 2016

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby Rodril » Dec 28 2021, 11:51

Last edited by Rodril on Dec 28 2021, 20:59, edited 1 time in total.

NemesO
Leprechaun
Leprechaun
Posts: 1
Joined: 28 Dec 2021

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby NemesO » Dec 28 2021, 15:35

Hey
Idk if since the last update but i have this issue: everytime use Armageddon the game crashes giving me this error message:

Code: Select all

...G Galaxy\Games\Might and Magic 8/Scripts/Core/events.lua:856: array index (6417.603965702) out of bounds [0, 49]

stack traceback:
	[C]: in function 'error'
	Scripts/Core/RSMem.lua:1342: in function '__index'
	...G Galaxy\Games\Might and Magic 8/Scripts/Core/events.lua:856: in function 'GetPlayer'
	...G Galaxy\Games\Might and Magic 8/Scripts/Core/events.lua:1099: in function 'f'
	Scripts/Core/RSMem.lua:2011: in function <Scripts/Core/RSMem.lua:2009>
	[C]: in function 'pcall'
	Scripts/Core/Common.lua:102: in function 'pcall2'
	Scripts/Core/RSMem.lua:1653: in function <Scripts/Core/RSMem.lua:1650>
	[C]: in function 'call'
	...mes\Might and Magic 8\Scripts\Global\Editor Navigate.lua:209: in function <...mes\Might and Magic 8\Scripts\Global\Editor Navigate.lua:184>
	[C]: in function 'pcall'
	Scripts/Core/Common.lua:102: in function 'pcall2'
	Scripts/Core/RSMem.lua:1653: in function <Scripts/Core/RSMem.lua:1650>

arguments of 'GetPlayer':
	p = 59572672

local variables of 'GetPlayer':
	i = 6417.603965702
	(*temporary) = 6417.603965702
	(*temporary) = (table: 0x052f1648)
	(*temporary) = 6.3339354805691e-287
Some values differ form time to time (maybe for map to map).

Ossie
Peasant
Peasant
Posts: 82
Joined: 24 Jan 2012
Location: Ossie

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby Ossie » Dec 28 2021, 20:42

Rodril wrote: Dec 28 2021, 11:51 This might help: https://www.dropbox.com/home?preview=Br ... puzzle.mp4
Thanks Rodril. Not sure whether this was in answer to my post about the Breach map, but the link goes to a message that the Dropbox file doesn't exist

Rodril
Marksman
Marksman
Posts: 404
Joined: 18 Nov 2016

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby Rodril » Dec 28 2021, 21:00

Ossie wrote: Dec 28 2021, 20:42 Thanks Rodril. Not sure whether this was in answer to my post about the Breach map, but the link goes to a message that the Dropbox file doesn't exist
Sorry, fixed link: https://www.dropbox.com/s/85pt914dk6cil ... e.mp4?dl=0

NemesO wrote: Dec 28 2021, 15:35 Hey
Idk if since the last update but i have this issue: everytime use Armageddon the game crashes giving me this error message: ...
Put this file into your Scripts\Core folder, replacing existing. I will include this fix in next update, thank you.

User avatar
DaveHer
War Dancer
War Dancer
Posts: 393
Joined: 13 Mar 2019

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby DaveHer » Dec 28 2021, 23:00

@Rodril
I downloaded the 27.12.2021 version and played the game and found that the sprites had their colors all messed up. So, I check the downloaded Lod files and found that the sprites in those files had their colors messed up. There is something wrong with the palettes. I downloaded it twice to double check.
David

Ossie
Peasant
Peasant
Posts: 82
Joined: 24 Jan 2012
Location: Ossie

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby Ossie » Dec 29 2021, 1:57

Rodril wrote: Dec 28 2021, 21:00
Ossie wrote: Dec 28 2021, 20:42 Thanks Rodril. Not sure whether this was in answer to my post about the Breach map, but the link goes to a message that the Dropbox file doesn't exist
Sorry, fixed link: https://www.dropbox.com/s/85pt914dk6cil ... e.mp4?dl=0

Thanks Rodril, merge mod completed. Weird to be playing a game you know so well but there is a bunch of new content - really made me assess my level of patience for the unknown where you already think you know everything.

For a new playthrough, did we ever land on a definitive list of which skills are available to be learned to which level by which classes/races, depending on which continent you start in?

AlmostdeadY
Leprechaun
Leprechaun
Posts: 1
Joined: 29 Dec 2021

Re: Might and Magic 6, 7, 8 merge based on mm8 engine. [upd. 27.12.2021]

Unread postby AlmostdeadY » Dec 29 2021, 7:33

Hello, thanks for the great mod. I encounted a problem that the community file blurred the models in the game. I tested it many times, the models looked fine before installing the community file (fixes or fully featured). I followed every step in both instructions, what can I do if I want to play with community fixes? Thank you.

Image

Alright, i missed the line says it only works with MERGE VERSION 12.07.2020, my bad. :wall:
Last edited by AlmostdeadY on Dec 29 2021, 7:37, edited 1 time in total.


Return to “Might and Magic”

Who is online

Users browsing this forum: No registered users and 21 guests